Name:		libwandio
Version:	1.0.4
Release:	1%{?dist}
Summary:	libwandio

License:	LGPL v3
URL:		https://research.wand.net.nz/software/libwandio.php
Source0:	https://research.wand.net.nz/software/wandio/wandio-%{version}.tar.gz

BuildRequires:	gcc 

%description
Libwandio is a software library written in C that provides an API for transparently reading from and writing to files using a variety of supported compression methods. Provided pthreads are available, I/O performance will be improved by doing any compression and/or decompression using a separate thread.

%package devel
Summary: header files for libwandio

%description devel
Development files for libwandio.

%prep
%setup -q -n wandio-%{version}


%build
%configure
make -j2


%install
%make_install


%files
%{_libdir}/libwandio.so.*
%{_bindir}/wandiocat

%files devel
/usr/include/wandio.h
/usr/lib64/libwandio.a
/usr/lib64/libwandio.la
/usr/lib64/libwandio.so

